OrcProto.Type.Kind (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Enum OrcProto.Type.Kind

- java.lang.Object
- - java.lang.Enum<OrcProto.Type.Kind>
  - - org.apache.orc.OrcProto.Type.Kind

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<OrcProto.Type.Kind>
  Enclosing class:
    OrcProto.Type

      public static enum OrcProto.Type.Kind
      extends Enum<OrcProto.Type.Kind>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `orc.proto.Type.Kind`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY` `BINARY = 8;`
    `BOOLEAN` `BOOLEAN = 0;`
    `BYTE` `BYTE = 1;`
    `CHAR` `CHAR = 17;`
    `DATE` `DATE = 15;`
    `DECIMAL` `DECIMAL = 14;`
    `DOUBLE` `DOUBLE = 6;`
    `FLOAT` `FLOAT = 5;`
    `INT` `INT = 3;`
    `LIST` `LIST = 10;`
    `LONG` `LONG = 4;`
    `MAP` `MAP = 11;`
    `SHORT` `SHORT = 2;`
    `STRING` `STRING = 7;`
    `STRUCT` `STRUCT = 12;`
    `TIMESTAMP` `TIMESTAMP = 9;`
    `UNION` `UNION = 13;`
    `VARCHAR` `VARCHAR = 16;`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BINARY_VALUE` `BINARY = 8;`
    `static int` | `BOOLEAN_VALUE` `BOOLEAN = 0;`
    `static int` | `BYTE_VALUE` `BYTE = 1;`
    `static int` | `CHAR_VALUE` `CHAR = 17;`
    `static int` | `DATE_VALUE` `DATE = 15;`
    `static int` | `DECIMAL_VALUE` `DECIMAL = 14;`
    `static int` | `DOUBLE_VALUE` `DOUBLE = 6;`
    `static int` | `FLOAT_VALUE` `FLOAT = 5;`
    `static int` | `INT_VALUE` `INT = 3;`
    `static int` | `LIST_VALUE` `LIST = 10;`
    `static int` | `LONG_VALUE` `LONG = 4;`
    `static int` | `MAP_VALUE` `MAP = 11;`
    `static int` | `SHORT_VALUE` `SHORT = 2;`
    `static int` | `STRING_VALUE` `STRING = 7;`
    `static int` | `STRUCT_VALUE` `STRUCT = 12;`
    `static int` | `TIMESTAMP_VALUE` `TIMESTAMP = 9;`
    `static int` | `UNION_VALUE` `UNION = 13;`
    `static int` | `VARCHAR_VALUE` `VARCHAR = 16;`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<OrcProto.Type.Kind>` | `internalGetValueMap()`
    `static OrcProto.Type.Kind` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static OrcProto.Type.Kind` | `valueOf(int value)`
    `static OrcProto.Type.Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OrcProto.Type.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final OrcProto.Type.Kind BOOLEAN

      `BOOLEAN = 0;`

    - #### BYTE

          public static final OrcProto.Type.Kind BYTE

      `BYTE = 1;`

    - #### SHORT

          public static final OrcProto.Type.Kind SHORT

      `SHORT = 2;`

    - #### INT

          public static final OrcProto.Type.Kind INT

      `INT = 3;`

    - #### LONG

          public static final OrcProto.Type.Kind LONG

      `LONG = 4;`

    - #### FLOAT

          public static final OrcProto.Type.Kind FLOAT

      `FLOAT = 5;`

    - #### DOUBLE

          public static final OrcProto.Type.Kind DOUBLE

      `DOUBLE = 6;`

    - #### STRING

          public static final OrcProto.Type.Kind STRING

      `STRING = 7;`

    - #### BINARY

          public static final OrcProto.Type.Kind BINARY

      `BINARY = 8;`

    - #### TIMESTAMP

          public static final OrcProto.Type.Kind TIMESTAMP

      `TIMESTAMP = 9;`

    - #### LIST

          public static final OrcProto.Type.Kind LIST

      `LIST = 10;`

    - #### MAP

          public static final OrcProto.Type.Kind MAP

      `MAP = 11;`

    - #### STRUCT

          public static final OrcProto.Type.Kind STRUCT

      `STRUCT = 12;`

    - #### UNION

          public static final OrcProto.Type.Kind UNION

      `UNION = 13;`

    - #### DECIMAL

          public static final OrcProto.Type.Kind DECIMAL

      `DECIMAL = 14;`

    - #### DATE

          public static final OrcProto.Type.Kind DATE

      `DATE = 15;`

    - #### VARCHAR

          public static final OrcProto.Type.Kind VARCHAR

      `VARCHAR = 16;`

    - #### CHAR

          public static final OrcProto.Type.Kind CHAR

      `CHAR = 17;`

  - ### Field Detail

    - #### BOOLEAN_VALUE

          public static final int BOOLEAN_VALUE

      `BOOLEAN = 0;`
      See Also:
        Constant Field Values

    - #### BYTE_VALUE

          public static final int BYTE_VALUE

      `BYTE = 1;`
      See Also:
        Constant Field Values

    - #### SHORT_VALUE

          public static final int SHORT_VALUE

      `SHORT = 2;`
      See Also:
        Constant Field Values

    - #### INT_VALUE

          public static final int INT_VALUE

      `INT = 3;`
      See Also:
        Constant Field Values

    - #### LONG_VALUE

          public static final int LONG_VALUE

      `LONG = 4;`
      See Also:
        Constant Field Values

    - #### FLOAT_VALUE

          public static final int FLOAT_VALUE

      `FLOAT = 5;`
      See Also:
        Constant Field Values

    - #### DOUBLE_VALUE

          public static final int DOUBLE_VALUE

      `DOUBLE = 6;`
      See Also:
        Constant Field Values

    - #### STRING_VALUE

          public static final int STRING_VALUE

      `STRING = 7;`
      See Also:
        Constant Field Values

    - #### BINARY_VALUE

          public static final int BINARY_VALUE

      `BINARY = 8;`
      See Also:
        Constant Field Values

    - #### TIMESTAMP_VALUE

          public static final int TIMESTAMP_VALUE

      `TIMESTAMP = 9;`
      See Also:
        Constant Field Values

    - #### LIST_VALUE

          public static final int LIST_VALUE

      `LIST = 10;`
      See Also:
        Constant Field Values

    - #### MAP_VALUE

          public static final int MAP_VALUE

      `MAP = 11;`
      See Also:
        Constant Field Values

    - #### STRUCT_VALUE

          public static final int STRUCT_VALUE

      `STRUCT = 12;`
      See Also:
        Constant Field Values

    - #### UNION_VALUE

          public static final int UNION_VALUE

      `UNION = 13;`
      See Also:
        Constant Field Values

    - #### DECIMAL_VALUE

          public static final int DECIMAL_VALUE

      `DECIMAL = 14;`
      See Also:
        Constant Field Values

    - #### DATE_VALUE

          public static final int DATE_VALUE

      `DATE = 15;`
      See Also:
        Constant Field Values

    - #### VARCHAR_VALUE

          public static final int VARCHAR_VALUE

      `VARCHAR = 16;`
      See Also:
        Constant Field Values

    - #### CHAR_VALUE

          public static final int CHAR_VALUE

      `CHAR = 17;`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static OrcProto.Type.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrcProto.Type.Kind c : OrcProto.Type.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrcProto.Type.Kind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static OrcProto.Type.Kind valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<OrcProto.Type.Kind> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static OrcProto.Type.Kind valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.